unit Unit2;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, NxColumns6, NxGridView6, NxControls6,
  NxCustomGrid6, NxVirtualGrid6, NxGrid6, NxEdit6, Vcl.StdCtrls,
  System.ImageList, Vcl.ImgList, Vcl.VirtualImageList, Vcl.BaseImageCollection,
  Vcl.ImageCollection;

type
  TForm2 = class(TForm)
    NextGrid61: TNextGrid6;
    NxReportGridView61: TNxReportGridView6;
    NxButtonColumn61: TNxButtonColumn6;
    NxNumberColumn61: TNxNumberColumn6;
    NxListColumn61: TNxListColumn6;
    NxSpinEdit61: TNxSpinEdit6;
    NxButtonEdit61: TNxButtonEdit6;
    NxComboBox61: TNxComboBox6;
    NxDropDownButton61: TNxDropDownButton6;
    ImageCollection1: TImageCollection;
    VirtualImageList1: TVirtualImageList;
    NxIconColumn61: TNxIconColumn6;
    NxToolbarColumn61: TNxToolbarColumn6;
    NxProgressColumn61: TNxProgressColumn6;
    Label1: TLabel;
    NxTimePicker61: TNxTimePicker6;
    NxColorPicker61: TNxColorPicker6;
    NxTagsEdit61: TNxTagsEdit6;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.FormCreate(Sender: TObject);
var
  Scaling, i: Integer;
begin
  Scaling := Screen.PixelsPerInch div 96;
  NextGrid61.RowHeight := NextGrid61.RowHeight * Scaling;
  NextGrid61.ActiveView.HeaderHeight := NextGrid61.ActiveView.HeaderHeight * Scaling;
  for i := 0 to Pred(NextGrid61.ColCount) do
  begin
    NextGrid61.Columns[i].Width := (NextGrid61.Columns[i].Width * Scaling);
  end;
  NxListColumn61.ItemHeight := NxListColumn61.ItemHeight * Scaling;
  NxComboBox61.ItemHeight := NxComboBox61.ItemHeight * Scaling;
  NxProgressColumn61.ProgressHeight := NxProgressColumn61.ProgressHeight * Scaling;
  NxProgressColumn61.ProgressMargin := NxProgressColumn61.ProgressMargin * Scaling;
  NextGrid61.AddRow(4);
  NextGrid61.Cell[NxProgressColumn61.Index, 1].AsInteger := 20;
  NextGrid61.Cell[NxProgressColumn61.Index, 2].AsInteger := 42;
end;

end.
